Страница 1 из 1

pktools

Добавлено: 30 май 2017, 10:19
Игорь Лебедь
Набор утилит для обработки ДДЗЗ:
http://pktools.nongnu.org/html/index.html
Также есть в виде плагина для QGIS (набор неполный):
http://plugins.qgis.org/plugins/pktools/
https://packages.ubuntu.com/ru/source/xenial/pktools

Почитать

Re: pktools

Добавлено: 31 май 2017, 00:56
sergsh
Не ставиться он что то

Если
sudo apt-get install pktools
то
Пакеты, имеющие неудовлетворённые зависимости:
pktools : Зависит: gdal-abi-2-1-1
Зависит: libalgorithms1 (>= 2.6.7) но он не будет установлен
Зависит: libimageclasses1 (>= 2.6.7) но он не будет установлен

А если собирать из исходников

sudo bash install_pktools.sh

то не может найти GDAL
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find GDAL (missing: GDAL_LIBRARY GDAL_INCLUDE_DIR) (Required is
at least version "1.10")

хотя он у меня установлен

gdalinfo --version
GDAL 2.1.3, released 2017/20/01

Re: pktools

Добавлено: 31 май 2017, 16:25
gamm
так установите переменные ( GDAL_LIBRARY GDAL_INCLUDE_DIR) в CMake, раз он у вас есть ... там небось и другие потребности указаны

Re: pktools

Добавлено: 31 май 2017, 18:51
Игорь Лебедь
http://pktools.nongnu.org/html/md_insta ... all_manual

Код: Выделить всё

sudo apt-get install g++ make libgdal-dev libgsl0-dev libarmadillo-dev
http://pktools.nongnu.org/html/md_insta ... tion_linux

Код: Выделить всё

sudo apt-get install pktools
Debian GNU/Linux 8 (jessie) 64-bit:
Screenshot20170531184926.png
Screenshot20170531184926.png (182.44 КБ) 921 просмотр